CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
  What's the CVSS score of your company?
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Zoneminder » Zoneminder » * * * * : Security Vulnerabilities

Cpe Name:cpe:2.3:a:zoneminder:zoneminder:*:*:*:*:*:*:*:*
Press ESC to close
# CVE ID CWE ID # of Exploits Vulnerability Type(s) Publish Date Update Date Score Gained Access Level Access Complexity Authentication Conf. Integ. Avail.
1 CVE-2020-25729 79 XSS 2020-09-17 2020-09-24
4.3
None Remote Medium Not required None Partial None
ZoneMinder before 1.34.21 has XSS via the connkey parameter to download.php or export.php.
2 CVE-2019-8429 89 Sql 2019-02-18 2019-02-19
7.5
None Remote Low Not required Partial Partial Partial
ZoneMinder before 1.32.3 has SQL Injection via the ajax/status.php filter[Query][terms][0][cnj] parameter.
3 CVE-2019-8428 89 Sql 2019-02-18 2019-02-19
7.5
None Remote Low Not required Partial Partial Partial
ZoneMinder before 1.32.3 has SQL Injection via the skins/classic/views/control.php groupSql parameter, as demonstrated by a newGroup[MonitorIds][] value.
4 CVE-2019-8427 78 2019-02-18 2020-08-24
7.5
None Remote Low Not required Partial Partial Partial
daemonControl in includes/functions.php in ZoneMinder before 1.32.3 allows command injection via shell metacharacters.
5 CVE-2019-8426 79 XSS 2019-02-18 2019-02-19
4.3
None Remote Medium Not required None Partial None
skins/classic/views/controlcap.php in ZoneMinder before 1.32.3 has XSS via the newControl array, as demonstrated by the newControl[MinTiltRange] parameter.
6 CVE-2019-8425 79 XSS 2019-02-18 2019-02-19
4.3
None Remote Medium Not required None Partial None
includes/database.php in ZoneMinder before 1.32.3 has XSS in the construction of SQL-ERR messages.
7 CVE-2019-8424 89 Sql 2019-02-18 2019-02-19
7.5
None Remote Low Not required Partial Partial Partial
ZoneMinder before 1.32.3 has SQL Injection via the ajax/status.php sort parameter.
8 CVE-2019-8423 89 Sql 2019-02-18 2019-02-19
7.5
None Remote Low Not required Partial Partial Partial
ZoneMinder through 1.32.3 has SQL Injection via the skins/classic/views/events.php filter[Query][terms][0][cnj] parameter.
9 CVE-2019-7352 79 Exec Code XSS 2019-02-04 2019-02-04
4.3
None Remote Medium Not required None Partial None
Self - Stored Cross Site Scripting (XSS) exists in ZoneMinder through 1.32.3, as the view 'state' (aka Run State) (state.php) does no input validation to the value supplied to the 'New State' (aka newState) field, allowing an attacker to execute HTML or JavaScript code.
10 CVE-2019-7351 74 2019-02-04 2019-02-04
4.3
None Remote Medium Not required None Partial None
Log Injection exists in ZoneMinder through 1.32.3, as an attacker can entice the victim to visit a specially crafted link, which in turn will inject a custom Log message provided by the attacker in the 'log' view page, as demonstrated by the message=User%20'admin'%20Logged%20in value.
11 CVE-2019-7350 384 2019-02-04 2019-02-05
4.9
None Remote Medium ??? Partial Partial None
Session fixation exists in ZoneMinder through 1.32.3, as an attacker can fixate his own session cookies to the next logged-in user, thereby hijacking the victim's account. This occurs because a set of multiple cookies (between 3 and 5) is being generated when a user successfully logs in, and these sets overlap for successive logins.
12 CVE-2019-7349 79 Exec Code XSS 2019-02-04 2019-02-05
4.3
None Remote Medium Not required None Partial None
Reflected Cross Site Scripting (XSS) exists in ZoneMinder through 1.32.3, allowing an attacker to execute HTML or JavaScript code via a vulnerable 'newMonitor[V4LCapturesPerFrame]' parameter value in the view monitor (monitor.php) because proper filtration is omitted.
13 CVE-2019-7348 79 Exec Code XSS 2019-02-04 2019-02-05
4.3
None Remote Medium Not required None Partial None
Self - Stored Cross Site Scripting (XSS) exists in ZoneMinder through 1.32.3, allowing an attacker to execute HTML or JavaScript code via a vulnerable 'username' parameter value in the view user (user.php) because proper filtration is omitted.
14 CVE-2019-7347 367 2019-02-04 2020-08-24
6.0
None Remote Medium ??? Partial Partial Partial
A Time-of-check Time-of-use (TOCTOU) Race Condition exists in ZoneMinder through 1.32.3 as a session remains active for an authenticated user even after deletion from the users table. This allows a nonexistent user to access and modify records (add/delete Monitors, Users, etc.).
15 CVE-2019-7346 352 CSRF 2019-02-04 2019-02-05
6.8
None Remote Medium Not required Partial Partial Partial
A CSRF check issue exists in ZoneMinder through 1.32.3 as whenever a CSRF check fails, a callback function is called displaying a "Try again" button, which allows resending the failed request, making the CSRF attack successful.
16 CVE-2019-7345 79 Exec Code XSS 2019-02-04 2019-02-05
3.5
None Remote Medium ??? None Partial None
Self - Stored Cross Site Scripting (XSS) exists in ZoneMinder through 1.32.3, as the view 'options' (options.php) does no input validation for the WEB_TITLE, HOME_URL, HOME_CONTENT, or WEB_CONSOLE_BANNER value, allowing an attacker to execute HTML or JavaScript code. This relates to functions.php.
17 CVE-2019-7344 79 Exec Code XSS 2019-02-04 2019-02-05
4.3
None Remote Medium Not required None Partial None
Reflected XSS exists in ZoneMinder through 1.32.3, allowing an attacker to execute HTML or JavaScript code in the view 'filter' as it insecurely prints the 'filter[Name]' (aka Filter name) value on the web page without applying any proper filtration.
18 CVE-2019-7343 79 Exec Code XSS 2019-02-04 2019-02-05
4.3
None Remote Medium Not required None Partial None
Reflected - Cross Site Scripting (XSS) exists in ZoneMinder through 1.32.3, allowing an attacker to execute HTML or JavaScript code via a vulnerable 'newMonitor[Method]' parameter value in the view monitor (monitor.php) because proper filtration is omitted.
19 CVE-2019-7342 79 Exec Code XSS 2019-02-04 2019-02-05
4.3
None Remote Medium Not required None Partial None
POST - Cross Site Scripting (XSS) exists in ZoneMinder through 1.32.3, allowing an attacker to execute HTML or JavaScript code via a vulnerable 'filter[AutoExecuteCmd]' parameter value in the view filter (filter.php) because proper filtration is omitted.
20 CVE-2019-7341 79 Exec Code XSS 2019-02-04 2019-02-05
4.3
None Remote Medium Not required None Partial None
Reflected - Cross Site Scripting (XSS) exists in ZoneMinder through 1.32.3, allowing an attacker to execute HTML or JavaScript code via a vulnerable 'newMonitor[LinkedMonitors]' parameter value in the view monitor (monitor.php) because proper filtration is omitted.
21 CVE-2019-7340 79 Exec Code XSS 2019-02-04 2019-02-05
4.3
None Remote Medium Not required None Partial None
POST - Cross Site Scripting (XSS) exists in ZoneMinder through 1.32.3, allowing an attacker to execute HTML or JavaScript code via a vulnerable 'filter[Query][terms][0][val]' parameter value in the view filter (filter.php) because proper filtration is omitted.
22 CVE-2019-7339 79 Exec Code XSS 2019-02-04 2019-02-05
4.3
None Remote Medium Not required None Partial None
POST - Cross Site Scripting (XSS) exists in ZoneMinder through 1.32.3, allowing an attacker to execute HTML or JavaScript code via a vulnerable 'level' parameter value in the view log (log.php) because proper filtration is omitted.
23 CVE-2019-7338 79 Exec Code XSS 2019-02-04 2019-02-05
4.3
None Remote Medium Not required None Partial None
Self - Stored XSS exists in ZoneMinder through 1.32.3, allowing an attacker to execute HTML or JavaScript code in the view 'group' as it insecurely prints the 'Group Name' value on the web page without applying any proper filtration.
24 CVE-2019-7337 79 XSS 2019-02-04 2019-02-05
3.5
None Remote Medium ??? None Partial None
Reflected Cross Site Scripting (XSS) exists in ZoneMinder through 1.32.3 as the view 'events' (events.php) insecurely displays the limit parameter value, without applying any proper output filtration. This issue exists because of the function sortHeader() in functions.php, which insecurely returns the value of the limit query string parameter without applying any filtration.
25 CVE-2019-7336 79 XSS 2019-02-04 2019-02-05
4.3
None Remote Medium Not required None Partial None
Self - Stored Cross Site Scripting (XSS) exists in ZoneMinder through 1.32.3, as the view _monitor_filters.php contains takes in input from the user and saves it into the session, and retrieves it later (insecurely). The values of the MonitorName and Source parameters are being displayed without any output filtration being applied. This relates to the view=cycle value.
26 CVE-2019-7335 79 Exec Code XSS 2019-02-04 2019-02-05
4.3
None Remote Medium Not required None Partial None
Self - Stored XSS exists in ZoneMinder through 1.32.3, allowing an attacker to execute HTML or JavaScript code in the view 'log' as it insecurely prints the 'Log Message' value on the web page without applying any proper filtration. This relates to the view=logs value.
27 CVE-2019-7334 79 Exec Code XSS 2019-02-04 2019-02-05
4.3
None Remote Medium Not required None Partial None
Reflected Cross Site Scripting (XSS) exists in ZoneMinder through 1.32.3, allowing an attacker to execute HTML or JavaScript code via a vulnerable 'Exportfile' parameter value in the view export (export.php) because proper filtration is omitted.
28 CVE-2019-7333 79 Exec Code XSS 2019-02-04 2019-02-05
4.3
None Remote Medium Not required None Partial None
Reflected Cross Site Scripting (XSS) exists in ZoneMinder through 1.32.3, allowing an attacker to execute HTML or JavaScript code via a vulnerable 'Exportfile' parameter value in the view download (download.php) because proper filtration is omitted.
29 CVE-2019-7332 79 Exec Code XSS 2019-02-04 2019-02-05
4.3
None Remote Medium Not required None Partial None
Reflected Cross Site Scripting (XSS) exists in ZoneMinder through 1.32.3, allowing an attacker to execute HTML or JavaScript code via a vulnerable 'eid' (aka Event ID) parameter value in the view download (download.php) because proper filtration is omitted.
30 CVE-2019-7331 79 XSS 2019-02-04 2019-02-05
4.3
None Remote Medium Not required None Partial None
Self - Stored Cross Site Scripting (XSS) exists in ZoneMinder through 1.32.3 while editing an existing monitor field named "signal check color" (monitor.php). There exists no input validation or output filtration, leaving it vulnerable to HTML Injection and an XSS attack.
31 CVE-2019-7330 79 Exec Code XSS 2019-02-04 2019-02-05
4.3
None Remote Medium Not required None Partial None
Reflected Cross Site Scripting (XSS) exists in ZoneMinder through 1.32.3, allowing an attacker to execute HTML or JavaScript code via a vulnerable 'show' parameter value in the view frame (frame.php) because proper filtration is omitted.
32 CVE-2019-7329 79 XSS 2019-02-04 2019-02-05
4.3
None Remote Medium Not required None Partial None
Reflected Cross Site Scripting (XSS) exists in ZoneMinder through 1.32.3, as the form action on multiple views utilizes $_SERVER['PHP_SELF'] insecurely, mishandling any arbitrary input appended to the webroot URL, without any proper filtration, leading to XSS.
33 CVE-2019-7328 79 Exec Code XSS 2019-02-04 2019-02-05
4.3
None Remote Medium Not required None Partial None
Reflected Cross Site Scripting (XSS) exists in ZoneMinder through 1.32.3, allowing an attacker to execute HTML or JavaScript code via a vulnerable 'scale' parameter value in the view frame (frame.php) via /js/frame.js.php because proper filtration is omitted.
34 CVE-2019-7327 79 Exec Code XSS 2019-02-04 2019-02-05
4.3
None Remote Medium Not required None Partial None
Reflected Cross Site Scripting (XSS) exists in ZoneMinder through 1.32.3, allowing an attacker to execute HTML or JavaScript code via a vulnerable 'scale' parameter value in the view frame (frame.php) because proper filtration is omitted.
35 CVE-2019-7326 79 Exec Code XSS 2019-02-04 2019-02-04
4.3
None Remote Medium Not required None Partial None
Self - Stored Cross Site Scripting (XSS) exists in ZoneMinder through 1.32.3, allowing an attacker to execute HTML or JavaScript code via a vulnerable 'Host' parameter value in the view console (console.php) because proper filtration is omitted. This relates to the index.php?view=monitor Host Name field.
36 CVE-2019-7325 79 XSS 2019-02-04 2019-02-04
4.3
None Remote Medium Not required None Partial None
Reflected Cross Site Scripting (XSS) exists in ZoneMinder through 1.32.3, as multiple views under web/skins/classic/views insecurely utilize $_REQUEST['PHP_SELF'], without applying any proper filtration.
37 CVE-2019-6992 79 Exec Code XSS 2019-01-28 2019-01-29
4.3
None Remote Medium Not required None Partial None
A stored-self XSS exists in web/skins/classic/views/controlcaps.php of ZoneMinder through 1.32.3, allowing an attacker to execute HTML or JavaScript code in a vulnerable field via a long NAME or PROTOCOL to the index.php?view=controlcaps URI.
38 CVE-2019-6991 787 Exec Code Overflow 2019-01-28 2020-08-24
7.5
None Remote Low Not required Partial Partial Partial
A classic Stack-based buffer overflow exists in the zmLoadUser() function in zm_user.cpp of the zmu binary in ZoneMinder through 1.32.3, allowing an unauthenticated attacker to execute code via a long username.
39 CVE-2019-6990 79 Exec Code XSS 2019-01-28 2019-01-29
3.5
None Remote Medium ??? None Partial None
A stored-self XSS exists in web/skins/classic/views/zones.php of ZoneMinder through 1.32.3, allowing an attacker to execute HTML or JavaScript code in a vulnerable field via a crafted Zone NAME to the index.php?view=zones&action=zoneImage&mid=1 URI.
40 CVE-2018-1000833 502 DoS Exec Code 2018-12-20 2019-02-06
7.5
None Remote Low Not required Partial Partial Partial
ZoneMinder version <= 1.32.2 contains a Other/Unknown vulnerability in User-controlled parameter that can result in Disclosure of confidential data, denial of service, SSRF, remote code execution.
41 CVE-2018-1000832 502 DoS Exec Code 2018-12-20 2019-10-03
10.0
None Remote Low Not required Complete Complete Complete
ZoneMinder version <= 1.32.2 contains a Other/Unknown vulnerability in User-controlled parameter that can result in Disclosure of confidential data, denial of service, SSRF, remote code execution.
42 CVE-2017-5595 200 +Info File Inclusion 2017-02-06 2017-02-16
2.1
None Local Low Not required Partial None None
A file disclosure and inclusion vulnerability exists in web/views/file.php in ZoneMinder 1.x through v1.30.0 because of unfiltered user-input being passed to readfile(), which allows an authenticated attacker to read local system files (e.g., /etc/passwd) in the context of the web server user (www-data). The attack vector is a .. (dot dot) in the path parameter within a zm/index.php?view=file&path= request.
43 CVE-2016-10206 352 CSRF 2017-03-03 2017-03-29
6.8
None Remote Medium Not required Partial Partial Partial
Cross-site request forgery (CSRF) vulnerability in Zoneminder 1.30 and earlier allows remote attackers to hijack the authentication of users for requests that change passwords and possibly have unspecified other impact as demonstrated by a crafted user action request to index.php.
44 CVE-2016-10205 384 2017-03-03 2017-03-29
7.5
None Remote Low Not required Partial Partial Partial
Session fixation vulnerability in Zoneminder 1.30 and earlier allows remote attackers to hijack web sessions via the ZMSESSID cookie.
45 CVE-2016-10204 89 Exec Code Sql 2017-03-03 2017-03-07
7.5
None Remote Low Not required Partial Partial Partial
SQL injection vulnerability in Zoneminder 1.30 and earlier allows remote attackers to execute arbitrary SQL commands via the limit parameter in a log query request to index.php.
46 CVE-2016-10203 79 XSS 2017-03-03 2017-03-29
4.3
None Remote Medium Not required None Partial None
Cross-site scripting (XSS) vulnerability in Zoneminder 1.30 and earlier allows remote attackers to inject arbitrary web script or HTML via the name when creating a new monitor.
47 CVE-2016-10202 79 XSS 2017-03-03 2017-03-07
4.3
None Remote Medium Not required None Partial None
Cross-site scripting (XSS) vulnerability in Zoneminder 1.30 and earlier allows remote attackers to inject arbitrary web script or HTML via the path info to index.php.
48 CVE-2016-10201 79 XSS 2017-03-03 2017-03-07
4.3
None Remote Medium Not required None Partial None
Cross-site scripting (XSS) vulnerability in Zoneminder 1.30 and earlier allows remote attackers to inject arbitrary web script or HTML via the format parameter in a download log request to index.php.
49 CVE-2008-3882 94 Exec Code 2008-09-02 2018-10-11
10.0
None Remote Low Not required Complete Complete Complete
Unspecified "Command Injection" vulnerability in ZoneMinder 1.23.3 and earlier allows remote attackers to execute arbitrary commands via (1) the executeFilter function in zm_html_view_events.php and (2) the run_state parameter to zm_html_view_state.php.
50 CVE-2008-3881 79 XSS 2008-09-02 2018-10-11
4.3
None Remote Medium Not required None Partial None
Multiple cross-site scripting (XSS) vulnerabilities in ZoneMinder 1.23.3 and earlier allow remote attackers to inject arbitrary web script or HTML via unspecified "zm_html_view_*.php" files.
Total number of vulnerabilities : 51   Page : 1 (This Page)2
CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.